Which web browser should I use for Blackboard?

Answer

Blackboard recommends using the latest version of Chrome, Edge, Firefox, or Safari. IF you want to check whether your browser is supported, do a Browser Check now!

Pop-Up Blocker
  • Disable browser pop-up blocker for https://rdpolytech.blackboard.com/

Cookies

  • Enable Cookies in your browser settings.

Plugins

  • Blackboard requires Java for optimal participation. 
  • Depending upon your course, you may need other plugins such as Adobe Acrobat Reader, Adobe Flash, or Shockwave Player.
  • Last Updated Sep 23, 2021
  • Views 27
  • Answered By RDP Library

FAQ Actions

Was this helpful? 0 0

Use this form to submit your question and we'll respond by email. Your question and contact information will not be displayed publicly.
Your Question
Your Info
Are you a ... *
Fields marked with * are required.